bug-coreutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#12891: test-suite AIX 6.1 non-root xlC compiler


From: Pádraig Brady
Subject: bug#12891: test-suite AIX 6.1 non-root xlC compiler
Date: Thu, 22 Nov 2012 10:43:51 +0000
User-agent: Mozilla/5.0 (X11; Linux x86_64; rv:13.0) Gecko/20120615 Thunderbird/13.0.1

On 11/15/2012 08:00 AM, Michael Felt wrote:

> FAIL: tests/rm/d-2.sh (exit: 1)
> ===============================

> + diff -u exp out
> --- exp    2012-11-14 22:58:24 +0100
> +++ out    2012-11-14 22:58:23 +0100
> @@ -1 +1 @@
> -rm: cannot remove 'd': Directory not empty
> +rm: cannot remove 'd': File exists

That looks like a valid test issue.
I'll apply the following in a little while.

thanks,
Pádraig.

commit 5e1187ac933fc54f738810dcfc41bbbd6eec3be7
Author: Pádraig Brady <address@hidden>
Date:   Thu Nov 22 10:36:31 2012 +0000

    tests: accept EEXIST from rm -d

    * tests/rm/d-2.sh: EEXIST is a valid error on some systems.
    Reported by Michael Felt on AIX 6.1

diff --git a/tests/rm/d-2.sh b/tests/rm/d-2.sh
index b62c2ee..1a1a560 100755
--- a/tests/rm/d-2.sh
+++ b/tests/rm/d-2.sh
@@ -24,10 +24,14 @@ mkdir d || framework_failure_
 > d/a || framework_failure_

 rm -d d 2> out && fail=1
+
+# Accept any of these: EEXIST, ENOTEMPTY
+sed 's/: File exists/: Directory not empty/' out > out2
+
 printf "%s\n" \
     "rm: cannot remove 'd': Directory not empty" \
     > exp || framework_failure_

-compare exp out || fail=1
+compare exp out2 || fail=1

 Exit $fail





reply via email to

[Prev in Thread] Current Thread [Next in Thread]